Bug 1154706 - rpath issue with firebird in f20
Summary: rpath issue with firebird in f20
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firebird
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Philippe Makowski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1132837
TreeView+ depends on / blocked
 
Reported: 2014-10-20 14:57 UTC by Nicolas Chauvet (kwizart)
Modified: 2014-11-10 06:44 UTC (History)
1 user (show)

Fixed In Version: firebird-2.5.2.26539.0-13.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:41:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2014-10-20 14:57:23 UTC
Description of problem:
There is a rpath pointing to a standard directory in firebird for f20

Version-Release number of selected component (if applicable):
firebird-2.5.2.26539.0-8.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. chrpath /usr/lib64/libfbembed.so.2.5.2
2.
3.

Actual results:
/usr/lib64/libfbembed.so.2.5.2: RPATH=/usr/lib64

Expected results:
should be no rpath

Additional info:
I've only installed firebird-libfbembed needed by liboffice, probably others libraries are failing.

Comment 1 Fedora Update System 2014-10-31 07:38:36 UTC
firebird-2.5.2.26539.0-13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/firebird-2.5.2.26539.0-13.fc21

Comment 2 Fedora Update System 2014-10-31 07:38:42 UTC
firebird-2.5.2.26539.0-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firebird-2.5.2.26539.0-9.fc20

Comment 3 Fedora Update System 2014-11-01 01:41:21 UTC
Package firebird-2.5.2.26539.0-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firebird-2.5.2.26539.0-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14037/firebird-2.5.2.26539.0-9.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-11-10 06:41:56 UTC
firebird-2.5.2.26539.0-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-11-10 06:44:31 UTC
firebird-2.5.2.26539.0-13.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.